(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['module', 'exports', 'babel-runtime/core-js/object/values'], factory);
  } else if (typeof exports !== "undefined") {
    factory(module, exports, require('babel-runtime/core-js/object/values'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod, mod.exports, global.values);
    global.PrefixHandler = mod.exports;
  }
})(this, function (module, exports, _values) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = hasPrefix;

  var _values2 = _interopRequireDefault(_values);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  /**
   * Determine if a css or javascript attribute is vendor-prefixed
   * 
   */

  var vendorPrefixMappings = {
    chrome: 'webkit',
    safari: 'webkit',
    firefox: 'moz',
    edge: 'ms',
    ie: 'ms'
  };

  /**
   * Determine if a css or js value is prefixed
   * ex. hasPrefix('document.mozOffscreenWidth()') => true
   * ex. hasPrefix('document.offscreenWidth()') => false
   */
  function hasPrefix(property) {
    var prefixes = (0, _values2.default)(vendorPrefixMappings);
    // $FlowFixMe: Waiting on github.com/facebook/flow/issues/2174
    return prefixes.some(function (prefix) {
      return property.includes(prefix);
    }); // eslint-disable-line
  }
  module.exports = exports['default'];
});