(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', './api-catalog/APICatalogProvider'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('./api-catalog/APICatalogProvider'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.APICatalogProvider);
    global.Providers = mod.exports;
  }
})(this, function (exports, _APICatalogProvider) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.find = find;
  exports.ofAPIType = ofAPIType;

  var _APICatalogProvider2 = _interopRequireDefault(_APICatalogProvider);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = _APICatalogProvider2.default;
  function find(id) {
    var foundRecord = (0, _APICatalogProvider2.default)().find(function (record) {
      return record.id === id;
    });

    if (foundRecord) return foundRecord;

    throw new Error('API by id of \'' + id + '\' cannot be found');
  }

  // @TODO
  // export function filterByProtoChain(chain: Array<string>): ProviderAPIResponse {}

  function ofAPIType(type) {
    return (0, _APICatalogProvider2.default)().filter(function (record) {
      return record.type === type + '-api' || record.type === '' + type;
    });
  }
});